--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Updates this SourceIndex from <tt>source_uri</tt>. If <tt>all</tt> is false, only the latest gems are fetched.
full_name: Gem::SourceIndex#update
is_singleton: false
name: update
params: (source_uri, all)
visibility: public
